<?php

$root = __DIR__;
$filedir = explode("samples" ,$root);
$lib = $filedir[0] . 'lib/rgraph_chart.php';
require_once ($lib);
$tmp = explode("/samples/line_url3.php", $_SERVER['PHP_SELF']);
$base = $tmp[0] . "/libraries/";
$rgraph_root = $tmp[0] . "/";

// rgraph chart
$id = "cvs";
$chart_type = "Line";
$draw_option = "draw();";
$width = "800";
$height = "350";

$url = "http://www.jschmidt-systemberatung.de" . $rgraph_root . "samples/sinus.php";

echo "<br>Data from " . $url . "<br>";
$chart = new rgraph_chart($id, null);
$url_data = $chart->getDataFromUrl($url);
$chart->set_data($url_data['data']);

$options = new rgraph_options();
$options->set_option("title", "A Line Chart with Data from Server - xaxispos = center");
//$labels = $options->xlabelsteps($file_data['labels'],10);
//$options->set_tooltip($file_data['data'], "#label# #val#");
//$options->set_option("labels", $labels);
$options->set_option("ymax", (float)1);
$options->set_option("ymin", (float)-1);
$options->set_option("scaleDecimals",3);

//$options->set_option("ymin", (float)-1);
//$options->set_option("xaxispos", "center");
//$options->set_option("noxaxis", true);
//$options->set_option("numyticks", 3);
//$options->set_option("ylabelsCount", 3);
$options->set_option("outofbounds", false);
$options->set_tooltip($url_data['data'], " #val# ");

//$options->x_label_rotate(20);
$chart->set_options($options);

$chart_script = "";
$event_script = "";

// setup html
$scripts = $chart->getScripts((array)$options);
$java_scripts = "<script src='" . $base . $chart->getScript($chart_type) . "'  type='text/javascript' ></script>";
for ($i=0; $i<count($scripts); $i++)
{ if (isset($scripts[$i]))
   $java_scripts .= "\n<script src='" . $base . $scripts[$i] . "'  type='text/javascript' ></script>";
}

$template = $filedir[0] . 'lib/template.php';
include_once ($template);
?>



