<?php

$tmp = explode("/doc", $_SERVER['PHP_SELF']);
$root = $tmp[0] . "/";
include_once "options_methods.php";

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8"/>
<meta name="designer" content="Joachim Schmidt - http://www.jschmidt-systemberatung.de" />
<meta name="description" content="RGRAPH Web Application" />
<title>class rgraph_chart - methods reference</title>
<link href="<?php echo $root; ?>/css/website.css" rel="stylesheet" type="text/css" />
<script src="<?php echo $root; ?>js/jquery.min.js"></script>
<script type="text/javascript">
function show_method (form)
{
   if (form.method != undefined)
   {
    var Item   = form.method.selectedIndex;
    var method = form.method[Item].value;
    var url = "show_options_method.php?method=" + method;

    $( "#show-method" ).load( url, function() {
  		 // check result
      });
   }
 }
</script>
</head>
<body>

<div id="my-content">
<h3>php-RGraph -  class rgraph_options methods reference</h3>
  <div id="left" style="width: 40%;">
  
    <div id="intro">
        <h4>methods of class "rgraph_options" provided by php-RGraph</h4>
        "rgraph_options" offers these main purposes for creating charts based on
        "RGraph":
        <ol>
        <li>support creation and settings of properties for RGraph charts </li>
        <li>provide setter and getter methods for rgraph_options objects</li>
        </ol>
        Once you have created a rgraph_chart object you may create a rgraph_options
        object and define chart properties.
        
        <pre>
 &#36;options = new rgraph_options();
 &#36;options->set_option("<i>property-name</i>", <i>property-value</i>);
 ...
        </pre>
        Then you set (define) the chart properties to the rgraph_chart object:
        <pre>
 &#36;chart->set_options(&#36;options);
        </pre>
         
         <p>To get more information besides references shown here, have a look at my samples or visit the
        <a href="http://www.rgraph.net/" target="_blank">home of RGraph</a>.<p>
    </div>
   </div>
    
  <div id="right" style="margin-left: 45%;">
  
    <h4>select a method, then click button to see a short description</h4>
    <b>Select rgraph_options method </b>
       <form id="form" style="max-width: 500px;" name="form" action="">
        <?php
        $i=0;
        foreach ($options_methods as $key => $value)
        {
            $result[$i] = $key;
            $i++;
        }
        ?>
       <select class="my_select" name="method" id="method" form="form">
        <?php
        for ($i = 0; $i < count($result); $i ++)
            echo "<option name='method' value='" . $result[$i] . "'>" . $result[$i] . "</option>";
        ?>
         </select> <input type="button" value="Show Description" onclick="show_method(this.form)" />
        </form>
        
     <div id="show-method" style="margin-top: 15px;"></div>
    
  </div>
    <div style="clear: auto;"></div>
</div>
</body>
</html>
