<?php
/**
 * @filesource: cornergauge.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "default.php";
$id = "cvs";
$draw_option = "draw();";
$width = "550";
$height = "400";

$chart = new rgraph_chart("cvs", null, "CornerGauge");
$chart->set_min(0);
$chart->set_max(50);
$chart->set_value(10);

$options = new rgraph_options();
$options->set_option("title","Adjustable CornerGauge");
$options->set_option("valueTextUnitsPost"," kg");
$options->set_option("adjustable", true);

$chart->set_options($options);
$rgraph_json = $chart->toString();

//echo  $chart->toPrettyString();

$event_script = "";
$chart_script = "";

include_once ($templates . $template);
?>



