<?php
/**
 * @filesource: bar_simple.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "default_test.php";
$ini_file = $ini_dir . "default.ini";
$id = "cvs";
$chart_type = "Bar";
$draw_option = "draw();";
$width = "400";
$height = "250";
$data = array( 40,50,80,30,50,60,70 );
$labels = array('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday');

$chart = new rgraph_chart("jumi_2", $data, "Bar");
$options = new rgraph_options($ini_file);
$options->set_option("title", "A Simple Bar Chart");
$options->set_option("xaxisLabels", $labels);
$options->set_option("tooltips", $labels);
$options->set_option("xaxisLabelsAngle", 20);
$options->set_option("variant","glass");
$options->set_option("textAccessible",false);

$chart->set_options($options);
$rgraph_json = $chart->toPrettyString();

$event_script = "";
$chart_script = "";

$canvas_style="";

include_once ($templates . $template);
?>



