<?php
/**
 * @filesource: default.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *
 */
$java_scripts = "\n<script src='" . $base . "RGraph.all.libs.js'  type='text/javascript' ></script>";
echo $java_scripts;
?>

<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>">
    [No canvas support]
</canvas>
<script>
jQuery(document).ready(function() {
 
  <?php echo $event_script; ?>
        
  var chart1 = new RGraph.<?php echo $chart_type; ?> (
   <?php echo $rgraph_json; ?>).<?php echo $draw_option; ?>

   var chart2 = new RGraph.<?php echo $chart_type; ?> (
		   <?php echo $rgraph_json; ?>).<?php echo $draw_option; ?>

   <?php echo $chart_script; ?>
});
</script>